Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers
Class EnsembleLibraryModel

    java.lang.Object
      weka.classifiers.EnsembleLibraryModel

All Implemented Interfaces:
  java.io.Serializable, RevisionHandler

Direct Known Subclasses:
  EnsembleSelectionLibraryModel

    public class EnsembleLibraryModel

extends java.lang.Object
implements java.io.Serializable, RevisionHandler

This class is a light wrapper that is meant to represent a classifier in a classifier library. This simple base class is intended only to store the class type and the parameters for a specific "type" of classifier. You will need to extend this class to add functionality specific to models that have been trained on data (as we have for Ensemble Selection)

Version:
  $Revision: 1.2 $
Author:
  Robert Jung (mrbobjung@gmail.com)
See Also:
  Serialized Form

Constructor Summary
`EnsembleLibraryModel()` Default Constructor
`EnsembleLibraryModel(Classifier classifier)` Initializes the class with the given classifier.

Method Summary
`Classifier` | `getClassifier()` Returns the base classifier this library model represents.
`java.lang.String` | `getDescriptionText()` getter for the string representation
`java.lang.String` | `getErrorText()` getter for the error text
`java.lang.Class` | `getModelClass()` getter for the modelClass
`java.lang.String[]` | `getOptions()` getter for the classifier options
`boolean` | `getOptionsWereValid()` getter for the optionsWereValid member variable
`java.lang.String` | `getRevision()` Returns the revision string.
`java.lang.String` | `getStringRepresentation()` getter for the string representation
`void` | `setDescriptionText(java.lang.String descriptionText)` setter for the description text
`void` | `setErrorText(java.lang.String errorText)` setter for the error text
`void` | `setOptionsWereValid(boolean optionsWereValid)` setter for the optionsWereValid member variable
`void` | `testOptions()` This method will attempt to instantiate this classifier with the given options.
`java.lang.String` | `toString()` This method converts the current set of arguments and the class name to a string value representing the command line invocation
`void` | `updateDescriptionText()` This method loops through all of the properties of a classifier to build the html toolTipText that will show all of the property values for this model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnsembleLibraryModel

    public EnsembleLibraryModel()

  Default Constructor

### EnsembleLibraryModel

    public EnsembleLibraryModel(Classifier classifier)

  Initializes the class with the given classifier.

  Parameters:
    `classifier` - the classifier to use

Method Detail

### testOptions

    public void testOptions()

  This method will attempt to instantiate this classifier with the given options. If an exception is thrown from the setOptions method of the classifier then the resulting exception text will be saved in the description text string.

### getClassifier

    public Classifier getClassifier()

  Returns the base classifier this library model represents.

  Returns:
    the base classifier

### getStringRepresentation

    public java.lang.String getStringRepresentation()

  getter for the string representation

  Returns:
    the string representation

### setDescriptionText

    public void setDescriptionText(java.lang.String descriptionText)

  setter for the description text

  Parameters:
    `descriptionText` - the description

### getDescriptionText

    public java.lang.String getDescriptionText()

  getter for the string representation

  Returns:
    the description

### setErrorText

    public void setErrorText(java.lang.String errorText)

  setter for the error text

  Parameters:
    `errorText` - the error text

### getErrorText

    public java.lang.String getErrorText()

  getter for the error text

  Returns:
    the error text

### setOptionsWereValid

    public void setOptionsWereValid(boolean optionsWereValid)

  setter for the optionsWereValid member variable

  Parameters:
    `optionsWereValid` - if true, the options were valid

### getOptionsWereValid

    public boolean getOptionsWereValid()

  getter for the optionsWereValid member variable

  Returns:
    true if the options were valid

### toString

    public java.lang.String toString()

  This method converts the current set of arguments and the class name to a string value representing the command line invocation

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of classname and options

### getModelClass

    public java.lang.Class getModelClass()

  getter for the modelClass

  Returns:
    the model class

### getOptions

    public java.lang.String[] getOptions()

  getter for the classifier options

  Returns:
    the classifier options

### updateDescriptionText

    public void updateDescriptionText()

  This method loops through all of the properties of a classifier to build the html toolTipText that will show all of the property values for this model. Note that this code is copied+adapted from the PropertySheetPanel class.

### getRevision

    public java.lang.String getRevision()

  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Returns:
    the revision

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD